> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/naviga-photos/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/naviga-photos/admin-guide/configuration.md).

# Configuration

{% content-ref url="/pages/-LtP4XzNnFIJn7\_aAltH" %}
[Metadata](/naviga-photos/admin-guide/configuration/metadata.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LtP7-u8YWrVBVQetQDB" %}
[Providers](/naviga-photos/admin-guide/configuration/providers.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LtP7N7D2MbHQNtEYP4j" %}
[Validation](/naviga-photos/admin-guide/configuration/validation.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LtPLYh5AyOrFlG4PwlP" %}
[Mappings](/naviga-photos/admin-guide/configuration/mappings.md)
{% endcontent-ref %}

{% content-ref url="/pages/ohF1pYLWCiEDVRy8UkjX" %}
[Wingman](/naviga-photos/admin-guide/configuration/wingman.md)
{% endcontent-ref %}

{% content-ref url="/pages/ut5RJIYautn9Q8SwuPGE" %}
[Logs API](/naviga-photos/admin-guide/configuration/logs-api.md)
{% endcontent-ref %}

Sample Configuration:

```
{
        "defaultFile": "[{\"labelName\":\"Photo date\",\"required\":false,\"isHidden\":false,\"isEditable\":true,\"fieldType\":\"datetime\",\"mapToMetadataName\":[\"photoDate\",\"photoDateTime\"]},{\"labelName\":\"Original image photographer\",\"rows\":1,\"required\":false,\"isHidden\":false,\"xmp\":\"dc:creator\",\"iptc\":\"Byline\",\"mapToMetadataName\":\"photographer\"},{\"labelName\":\"Description\",\"title\":\"description\",\"rows\":5,\"required\":false,\"isHidden\":false,\"xmp\":\"dc:description\",\"iptc\":\"Caption\",\"mapToMetadataName\":\"text\"},{\"labelName\":\"AI Description\",\"title\":\"aidescription\",\"rows\":5,\"required\":false,\"isHidden\":false,\"xmp\":\"dc:description\",\"iptc\":\"Caption\",\"mapToMetadataName\":\"aiDescription\"},{\"labelName\":\"Credit\",\"rows\":1,\"required\":false,\"isHidden\":false,\"xmp\":\"photoshop:Credit\",\"iptc\":\"Credit\",\"mapToMetadataName\":\"credit\"},{\"labelName\":\"Instructions\",\"title\":\"instructions\",\"rows\":2,\"required\":false,\"isHidden\":false,\"xmp\":\"photoshop:Instructions\",\"iptc\":\"SpecialInstructions\",\"mapToMetadataName\":\"instructions\"},{\"labelName\":\"Object name\",\"rows\":2,\"required\":false,\"isHidden\":false,\"xmp\":\"dc:title\",\"iptc\":\"ObjectName\",\"mapToMetadataName\":\"objectName\"},{\"labelName\":\"Copyright\",\"required\":false,\"isHidden\":false,\"rows\":1,\"xmp\":\"dc:rights\",\"iptc\":\"CopyrightNotice\",\"mapToMetadataName\":\"copyright\"},{\"labelName\":\"Source\",\"required\":false,\"isHidden\":false,\"rows\":2,\"xmp\":\"photoshop:Source\",\"iptc\":\"Source\",\"mapToMetadataName\":\"source\"}]",
        "file": "[\n        {\n                \"labelName\": \"Alt text\",\n                \"title\": \"altText\",\n                \"rows\": 3,\n                \"mapToMetadataName\": \"altText\",\n                \"required\": false,\n                \"isHidden\": false\n        }\n]",
        "concepts": "[\n        {\n                \"label\": \"Photographer\",\n                \"title\": \"photographer\",\n                \"rel\": \"author\",\n                \"filters\": [\n                        {\n                                \"ConceptImTypeFull\": \"x-im/author\"\n                        }\n                ]\n        },\n        {\n                \"label\": \"Tags\",\n                \"title\": \"tags\",\n                \"rel\": \"subject\",\n                \"filters\": [\n                        {\n                                \"ConceptImTypeFull\": \"x-im/person\"\n                        },\n                        {\n                                \"ConceptImTypeFull\": \"x-im/organisation\"\n                        },\n                        {\n                                \"ConceptImTypeFull\": \"x-im/topic\"\n                        }\n                ]\n        }\n]",
        "wingman": "{\n        \"host\": \"https://ai-eu-west-1.saas-stage.infomaker.io\",\n        \"enable\": true,\n        \"preText\": \"You are a News Editor of a News Firm and your task is to help editor by providing answers to questions related to the image provided.\\\\n\\\\nn1.Extract meta keyword from the image and pre-append the 'MetaKeyword-' for comma seprated keywords. \\\\n2.Extract possible person from the image and append the 'Person-'\\\\n3. Extract event from the image and pre-append the 'Event-' for each meta. Generate  caption for the image within 10 words and pre-append the 'Caption-' for each caption\\\\n if you find no results then append none at the end\",\n        \"tags\": [\n                \"metakeyword\",\n                \"tag\",\n                \"event\",\n                \"person\",\n                \"place\",\n                \"location\",\n                \"keyword\"\n        ],\n        \"instructions\": [\n                \"caption\",\n                \"instructions\"\n        ],\n        \"altText\": [\n                \"caption\",\n                \"altText\"\n        ],\n        \"description\": [\n                \"caption\",\n                \"description\"\n        ],\n        \"creativity\": 5,\n        \"language\": \"en\",\n        \"modelId\": \"anthropic.claude-3-sonnet-20240229-v1:0\",\n        \"serviceProvider\": \"bedrock\",\n        \"providerAccessToken\": \"\",\n        \"encryptedKeyPhrase\": \"v7^eAH&+p+35gRyv]LSC5gLKjtBLcuUy\"\n}",
        "shareWithOrganization": false,
        "logsApi": "{\n        \"host\": \"${DBKS:DB_LOG_URL}\",\n        \"enabled\": true\n}",
        "CCABaseUrl": "${DBKS:CCA_URL}",
        "LCCOpenContentProvider": "${DBKS:CA_PROVIDER}",
        "ICPConfigProvider": "${DBKS:ICP_PROVIDER}",
        "ICPConfigIdentifier": "uuid",
        "ICPConfigFunctions": "{\n        \"noCrop\": \"noCrop\",\n        \"crop\": \"crop\",\n        \"fullSize\": \"fullSize\"\n}",
        "fileValidation": "{\n        \"maxFileSize\": 20\n}",
        "OCConceptsPropertyMapping": "{\n        \"uuid\": \"uuid\",\n        \"name\": \"ConceptName\",\n        \"type\": \"ConceptImTypeFull\",\n        \"avatar\": {\n                \"property\": \"ConceptAvatarRelation\"\n        }\n}",
        "OCAvatarPropertyMapping": "{\n        \"uuid\": \"uuid\",\n        \"filename\": \"WriterFileName\"\n}",
        "OCImagesPropertyMapping": "{\n        \"uuid\": \"uuid\",\n        \"author\": \"WriterAuthors\",\n        \"filename\": \"WriterFileName\",\n        \"updated\": \"updated\",\n        \"instructions\": \"ImageInstructions\",\n        \"objectName\": \"ImageObjectName\",\n        \"originalFileName\": \"OriginalFileName\",\n        \"listViewProps\": {}\n}",
        "OCSearchConfiguration": "{\n        \"suggestFields\": [\n                {\n                        \"name\": \"NavigaPhotosPhotographer\",\n                        \"order\": 10\n                },\n                {\n                        \"name\": \"WriterAuthors\",\n                        \"order\": 10\n                },\n                {\n                        \"name\": \"NavigaPhotosTags\",\n                        \"order\": 10\n                }\n        ],\n        \"suggestLabels\": {\n                \"NavigaPhotosPhotographer\": \"Photographer\",\n                \"WriterAuthors\": \"Author\",\n                \"NavigaPhotosTags\": \"Tags\"\n        },\n        \"searchOptions\": {\n                \"limit\": 24,\n                \"defaultQuery\": \"*\",\n                \"filterQuery\": \"contenttype: Image\",\n                \"sortField\": \"updated\",\n                \"sortAscending\": false\n        }\n}",
        "OCSearchConfigurationDateField": "NavigaPhotosPhotoDate",
        "isMetadataDebugMode": false,
        "isRenderDebugMode": false,
        "isDebugMode": false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/naviga-photos/admin-guide/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
